%define upstream_name    Business-ISBN
%define upstream_version 2.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Work with International Standard Book Numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Business::ISBN::Data) >= 20140910.2.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Mojo::DOM)
BuildRequires: perl(Mojo::UserAgent)
BuildRequires: perl(Test::More) >= 0.950.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description
This modules handles International Standard Book Numbers, including
ISBN-10 and ISBN-13.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.10.0-2.mga6
+ Revision: 1022812
- Rebuild for perl 5.22.2

* Mon May 02 2016 jquelin <jquelin> 2.10.0-1.mga6
+ Revision: 1008778
- tightening spec file (magpie fix ftw)
- imported package perl-Business-ISBN


* Wed Oct 10 2012 cpan2dist 2.010-1mga
- initial mageia release, generated by hand
